slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPSetUp

Sets up all the internal data structures necessary for the execution of the NEP solver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetUp(NEP nep)

Collective

### Input Parameter

| nep | - solver context

### Notes

This function need not be called explicitly in most cases, since NEPSolve() calls it. It can be useful when one wants to measure the set-up time separately from the solve time.

### See Also

NEPCreate(), NEPSolve(), NEPDestroy()

### Level

developer

### Location

src/nep/interface/nepsetup.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages